Bug 115518 - editors/openoffice.org-2 Draw crashes trying to print with 144KB embedded PNG when Xorg goes > 84% CPU
Summary: editors/openoffice.org-2 Draw crashes trying to print with 144KB embedded PNG...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-14 14:00 UTC by User1001
Modified: 2008-06-12 05:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description User1001 2007-08-14 14:00:07 UTC

1) design special CD disc labels(2) with curved text and colors (1-simple curved, 1-3D curved)
2) embed/include 144KB PNG image (377x232 pixels, 99x97dpi, 774KB in Gimp, 25% transparency)
3) print to HP-1200 inkjet printer (PPD defined to OO) 
4) Xorg jumps Active memory up 400+MB and CPU utilization incrementally climbs to > 80%
5) when Xorg reaches ~84% CPU - OOdraw crashes
6) no output is created (even when "printing to file")

OO recovery is successful, but any more attempts to print wind up with the same result.

How-To-Repeat: 

reprint
Comment 1 Edwin Groothuis freebsd_committer 2007-08-14 14:00:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer 

http://www.freebsd.org/cgi/query-pr.cgi?pr=115518 

Adding to audit trail from misfiled PR ports/115574:
  
Date: Thu, 16 Aug 2007 08:14:22 -0500
Comment 2 User1001 2007-08-17 02:22:01 UTC
Correction #1:

"25% transparency" should really have been "25% opacity" (75% transparency).

All prints included one 230+ x 300+ scaled (96x96DPI) image. Update #2 added a
SECOND such image to the sheet/page.
Comment 3 Marcin Cieslak 2008-04-03 19:36:19 UTC
Can you post a sample ODG somewhere?

-- 
               << Marcin Cieslak // saper@system.pl >>
Comment 4 Martin Wilke freebsd_committer 2008-06-01 13:36:16 UTC
State Changed
From-To: open->closed

Feedback timeout about 2 months. If this problem still exists, please 
feel free to follow-up this PR so that we can re-open it and find a 
solution for the problem. Thanks!
Comment 5 User1001 2008-06-12 04:42:34 UTC
I don't remember just which of the several Draw documents that I used
for this PR, but I have printed two such documents in OO-v.3.0.0B
WITHOUT any problem. The memory management is now good (ie; gets
released) and the CPU utilization is reasonable. It would appear that
OOv3.0 has fixed the problems.